Loading...
Searching...
No Matches
RDKit::SynthonSpaceSearch Namespace Reference

## Namespaces

namespace | details

## Classes

class | SearchResults
class | Synthon
class | SynthonSet
class | SynthonSpace
class | SynthonSpaceFingerprintSearcher
struct | SynthonSpaceHitSet
class | SynthonSpaceSearcher
struct | SynthonSpaceSearchParams
class | SynthonSpaceSubstructureSearcher

## Functions

RDKIT_SYNTHONSPACESEARCH_EXPORT std::unique_ptr< ROMol > | getConnRegion (const ROMol &mol)

## Variables

const std::vector< std::string > | CONNECTOR_SYMBOLS {"[U]", "[Np]", "[Pu]", "[Am]"}
constexpr unsigned int | MAX_CONNECTOR_NUM {4}

## Function Documentation

## getConnRegion()

RDKIT_SYNTHONSPACESEARCH_EXPORT std::unique_ptr< ROMol > RDKit::SynthonSpaceSearch::getConnRegion | ( | const ROMol & | mol | ) |

## Variable Documentation

## CONNECTOR_SYMBOLS

const std::vector<std::string> RDKit::SynthonSpaceSearch::CONNECTOR_SYMBOLS {"[U]", "[Np]", "[Pu]", "[Am]"}

Definition at line 41 of file SynthonSpace.h.

## MAX_CONNECTOR_NUM

constexpr unsigned int RDKit::SynthonSpaceSearch::MAX_CONNECTOR_NUM {4}

constexpr

Definition at line 42 of file SynthonSpace.h.